Bug 1018664 - Sometimes met "curl: (6) Couldn't resolve host 'python-distribute.org'" error when creating python-3.3 app
Sometimes met "curl: (6) Couldn't resolve host 'python-distribute.org'" error...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks: 1018790
  Show dependency treegraph
 
Reported: 2013-10-14 02:31 EDT by Lei Zhang
Modified: 2015-05-14 19:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1018790 (view as bug list)
Environment:
Last Closed: 2013-10-17 09:35:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
development log (301.91 KB, application/octet-stream)
2013-10-14 02:32 EDT, Lei Zhang
no flags Details

  None (edit)
Description Lei Zhang 2013-10-14 02:31:43 EDT
Description of problem:
Create one python-3.3 app, found "curl: (6) Couldn't resolve host 'python-distribute.org'" error and failed to create the app.

[rayzhang@ray Work]$ rhc app create mypython33 python-3.3 
Application Options
-------------------
  Namespace:  chunchen
  Cartridges: python-3.3
  Gear Size:  default
  Scaling:    no
Creating application 'mypython33' ... 
curl: (6) Couldn't resolve host 'python-distribute.org'

[root@ip-10-204-141-32 ~]# grep "python-distribute.org'" /var/log/openshift/broker/development.log
2013-10-14 02:10:22.611 [DEBUG] DEBUG: [#<MCollective::RPC::Result:0x00000006c3b828 @agent="openshift", @action="cartridge_do", @results={:sender=>"ip-10-204-141-32", :statuscode=>1, :statusmsg=>"cartridge_do_action failed 157. Output Shell command '/sbin/runuser -s /bin/sh 525b8aabfbdd4be18d0001a9 -c \"exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c0,c1009' /bin/sh -c \\\"/var/lib/openshift/525b8aabfbdd4be18d0001a9/python/bin/install --version 3.3\\\"\"' returned an error. rc=6\n\nCLIENT_ERROR: \nCLIENT_ERROR: curl: (6) Couldn't resolve host 'python-distribute.org'", :data=>{:time=>nil, :output=>"Shell command '/sbin/runuser -s /bin/sh 525b8aabfbdd4be18d0001a9 -c \"exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c0,c1009' /bin/sh -c \\\"/var/lib/openshift/525b8aabfbdd4be18d0001a9/python/bin/install --version 3.3\\\"\"' returned an error. rc=6\n\nCLIENT_ERROR: \nCLIENT_ERROR: curl: (6) Couldn't resolve host 'python-distribute.org'", :exitcode=>157, :addtl_params=>nil}}>] (Request ID: 8264e7bdc6ef1250142dfb0db1fd4f92) (pid:18074)
2013-10-14 02:10:22.614 [ERROR] curl: (6) Couldn't resolve host 'python-distribute.org' (pid:18074)
2013-10-14 02:10:22.614 [ERROR] curl: (6) Couldn't resolve host 'python-distribute.org' (pid:18074)
2013-10-14 02:10:38.238 [DEBUG] SUCCESS ACTION=ADD_APPLICATION USER_ID=525b7ff2fbdd4b0c05000001 LOGIN=chunchen DOMAIN=chunchen curl: (6) Couldn't resolve host 'python-distribute.org' (pid:18074)



Version-Release number of selected component (if applicable):
devenv_3893

How reproducible:
sometimes

Steps to Reproduce:
1.rhc app create mypython33 python-3.3 
2.
3.

Actual results:
"curl: (6) Couldn't resolve host 'python-distribute.org'" error met and failed to create python-3.3 app.

Expected results:
Python-3.3 app should be created sussfully

Additional info:
Comment 1 Lei Zhang 2013-10-14 02:32:28 EDT
Created attachment 811866 [details]
development log
Comment 2 Meng Bo 2013-10-14 03:28:48 EDT
[root@ip-10-184-6-21 redhat-python]# grep "python-distribute.org" ./* -R
./0.0.6/usr/versions/3.3/lib/utils:distribute_setup_uri="http://python-distribute.org/distribute_setup.py"
Comment 5 Lei Zhang 2013-10-15 03:13:18 EDT
In STG(devenv-stage_498), this issue doesn't exist

[rayzhang@ray myjbossews20s]$ rhc app create mypython33 python-3.3 
Application Options
-------------------
  Namespace:  ray
  Cartridges: python-3.3
  Gear Size:  default
  Scaling:    no

Creating application 'mypython33' ... done


Waiting for your DNS name to be available ... done

Cloning into 'mypython33'...
The authenticity of host 'mypython33-ray.stg.rhcloud.com (50.17.134.211)' can't be established.
RSA key fingerprint is cf:ee:77:cb:0e:fc:02:d7:72:7e:ae:80:c0:90:88:a7.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'mypython33-ray.stg.rhcloud.com,50.17.134.211' (RSA) to the list of known hosts.

Your application 'mypython33' is now available.

  URL:        http://mypython33-ray.stg.rhcloud.com/
  SSH to:     525cea2adbd93c36b30001b1@mypython33-ray.stg.rhcloud.com
  Git remote: ssh://525cea2adbd93c36b30001b1@mypython33-ray.stg.rhcloud.com/~/git/mypython33.git/
  Cloned to:  /home/rayzhang/Work/myjbossews20s/mypython33

Run 'rhc show-app mypython33' for more details about your app.
Comment 6 Lei Zhang 2013-10-16 21:53:22 EDT
Verified on devenv_3905

[rayzhang@ray Work]$ rhc app create mypython33 python-3.3
Application Options
-------------------
  Namespace:  chunchen
  Cartridges: python-3.3
  Gear Size:  default
  Scaling:    no

Creating application 'mypython33' ... done


Waiting for your DNS name to be available ... done

Cloning into 'mypython33'...
The authenticity of host 'mypython33-chunchen.dev.rhcloud.com (50.16.6.122)' can't be established.
RSA key fingerprint is b4:85:aa:b6:1d:26:0d:3f:9c:39:54:8b:63:98:3e:09.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'mypython33-chunchen.dev.rhcloud.com,50.16.6.122' (RSA) to the list of known hosts.

Your application 'mypython33' is now available.

  URL:        http://mypython33-chunchen.dev.rhcloud.com/
  SSH to:     525f41581f80eb75ba000035@mypython33-chunchen.dev.rhcloud.com
  Git remote: ssh://525f41581f80eb75ba000035@mypython33-chunchen.dev.rhcloud.com/~/git/mypython33.git/
  Cloned to:  /home/rayzhang/Work/mypython33

Run 'rhc show-app mypython33' for more details about your app.

Note You need to log in before you can comment on or make changes to this bug.